package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Xero_invoices_line;
import com.realnet.vpspack.Services.Xero_invoices_lineService ;




















@RequestMapping(value = "/Xero_invoices_line")
 @CrossOrigin("*") 
@RestController
public class Xero_invoices_lineController {
	@Autowired
	private Xero_invoices_lineService Service;

@Value("${projectPath}")
	private String projectPath;
 




















	@PostMapping("/Xero_invoices_line")
		  public Xero_invoices_line Savedata(@RequestBody Xero_invoices_line data) {
		Xero_invoices_line save = Service.Savedata(data)	;



















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Xero_invoices_line/{id}")
	public  Xero_invoices_line update(@RequestBody Xero_invoices_line data,@PathVariable Integer id ) {
		Xero_invoices_line update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Xero_invoices_line/getall/page")
	public Page<Xero_invoices_line> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Xero_invoices_line> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Xero_invoices_line")
	public List<Xero_invoices_line> getdetails() {
		 List<Xero_invoices_line> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Xero_invoices_line")
	public List<Xero_invoices_line> getallwioutsec() {
		 List<Xero_invoices_line> get = Service.getdetails();		
		return get;
}
@GetMapping("/Xero_invoices_line/{id}")
	public  Xero_invoices_line  getdetailsbyId(@PathVariable Integer id ) {
		Xero_invoices_line  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Xero_invoices_line/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





















}